Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api-docs.go54.com/llms.txt

Use this file to discover all available pages before exploring further.

This command is used to check the availability of a domain.

Endpoint

POST - /domains/lookup

Request Parameters

NameTypeRequired?Description
domaintextYesThe SLD of the domain to be looked up
punnyCodeSearchTermtextYesThe puny code encoded search term for an IDN domain
tldsToIncludetextYesAll TLDs to be included when the search is performed
isIdnDomainBooleanNoIf IDN Domains are enabled
premiumEnabledBooleanNoPremium domain enabled

Sample Request

$endpoint   = "https://www.whogohost.com/host/modules/addons/DomainsReseller/api/index.php";
$action     = "/domains/lookup";
$params     = [
    "searchTerm" => "example",
    "punnyCodeSearchTerm" => "example",
    "tldsToInclude" => [".com", ".com.ng"],
    "isIdnDomain" => true,
    "premiumEnabled" => true,
];
$headers = [
    "username: email@example.com",
    "token: " . base64_encode(hash_hmac("sha256", "1234567890QWERTYUIOPASDFGHJKLZXCVBNM", "email@example.com:" . gmdate("y-m-d H")))
];

$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, "{$endpoint}{$action}");
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, http_build_query($params));
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, true);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);

$response = curl_exec($curl);
curl_close($curl);